Xeonr Developer Docs

Fix integration client configuration

POST
/uplim.api.v1.IntegrationAdminService/FixIntegrationClient

Applies fixes for all detected validation issues on the client.

Authorization

OAuth2 upl:private
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:private

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

clientId?string
Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/FixIntegrationClient" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true,
  "issues": [
    {
      "code": "INTEGRATION_CLIENT_ISSUE_CODE_UNSPECIFIED",
      "severity": "INTEGRATION_CLIENT_ISSUE_SEVERITY_UNSPECIFIED",
      "message": "string",
      "delegatorClientId": "string"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}